Package csb :: Package statistics :: Package samplers :: Package mc :: Module multichain :: Class AbstractSwapScheme

[frames] | no frames]

# Class AbstractSwapScheme

source code

    object --+
             |
            AbstractSwapScheme

Known Subclasses:
  - AlternatingAdjacentSwapScheme

Provides the interface for classes defining schemes according to which swaps in Replica Exchange-like simulations are performed.

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

__init__(self, algorithm) x.__init__(...) initializes x; see help(type(x)) for signature | source code

swap_all(self) Advises the Replica Exchange-like algorithm to perform swaps according to the schedule defined here. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``swap_all``'``])``

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, algorithm)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `algorithm` (AbstractExchangeMC) - Exchange algorithm that performs the swaps
Overrides: object.__init__
  (inherited documentation)